﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using UIKit;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using Syncfusion.SfChart.iOS;
using Syncfusion.SfChart.XForms;
using System.Diagnostics;
using Xamarin.Forms;

namespace SimpleSample.iOS
{
    // The UIApplicationDelegate for the application. This class is responsible for launching the 
    // User Interface of the application, as well as listening (and optionally responding) to 
    // application events from iOS.
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
		private SFChart NativeChart;
		private CustomChart FormsChart;

        //
        // This method is invoked when the application has loaded and is ready to run. In this 
        // method you should instantiate the window, load the UI into it and then make the window
        // visible.
        //
        // You have 17 seconds to return from this method, or iOS will terminate your application.
        //
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
			new CustomRenderer ();
            global::Xamarin.Forms.Forms.Init();
            LoadApplication(new App());

			//Xamarin.Forms.Forms.ViewInitialized += Xamarin_Forms_Forms_ViewInitialized;

            return base.FinishedLaunching(app, options);
        }

//        void Xamarin_Forms_Forms_ViewInitialized (object sender, Xamarin.Forms.ViewInitializedEventArgs e)
//        {
//			if (e.NativeView is SFChart)
//				NativeChart = e.NativeView as SFChart;
//				
//			if (e.View is CustomChart) {
//				FormsChart = e.View as CustomChart;
//				FormsChart.SeriesClipRect = new Rectangle (NativeChart.SeriesClipRect.X, 
//					NativeChart.SeriesClipRect.Y,
//					NativeChart.SeriesClipRect.Size.Width, 
//					NativeChart.SeriesClipRect.Size.Height);
//				FormsChart.SizeChanged += FormsChart_SizeChanged;
//			
//
//			}
//			
//
//        }
//
//        void FormsChart_SizeChanged (object sender, EventArgs e)
//        {
//			FormsChart.SeriesClipRect = new Rectangle (NativeChart.SeriesClipRect.X, 
//										NativeChart.SeriesClipRect.Y,
//										NativeChart.SeriesClipRect.Size.Width, 
//										NativeChart.SeriesClipRect.Size.Height);
//        }
    }
}
